clang 10.0.0git

Classes | Namespaces
Environment.h File Reference
`#include "clang/Analysis/AnalysisDeclContext.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/ProgramState_Fwd.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/SVals.h"`
`#include "llvm/ADT/ImmutableMap.h"`
`#include <utility>`
Include dependency graph for Environment.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::ento::EnvironmentEntry
| An entry in the environment consists of a Stmt and an LocationContext. More...
class | clang::ento::Environment
| An immutable map from EnvironemntEntries to SVals. More...
class | clang::ento::EnvironmentManager

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::ento